[arch-commits] CVS update of extra/editors/xemacs (PKGBUILD)

Juergen Hoetzel juergen at archlinux.org
Mon Jun 18 15:22:30 EDT 2007


    Date: Monday, June 18, 2007 @ 15:22:30
  Author: juergen
    Path: /home/cvs-extra/extra/editors/xemacs

Modified: PKGBUILD (1.16 -> 1.17)

upgpkg: xemacs 21.5.28-1


----------+
 PKGBUILD |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)


Index: extra/editors/xemacs/PKGBUILD
diff -u extra/editors/xemacs/PKGBUILD:1.16 extra/editors/xemacs/PKGBUILD:1.17
--- extra/editors/xemacs/PKGBUILD:1.16	Sat Mar 17 05:19:13 2007
+++ extra/editors/xemacs/PKGBUILD	Mon Jun 18 15:22:30 2007
@@ -1,19 +1,21 @@
-# $Id: PKGBUILD,v 1.16 2007/03/17 09:19:13 tpowa Exp $
+# $Id: PKGBUILD,v 1.17 2007/06/18 19:22:30 juergen Exp $
 # Maintainer: juergen <juergen at archlinux.org>
 
 pkgname=xemacs
-pkgver=21.5.27
-pkgrel=2
+pkgver=21.5.28
+pkgrel=1
 pkgdesc="highly customizable open source text editor and application development system forked from GNU Emacs"
 arch=(i686 x86_64)
 makedepends=('libungif' 'xbitmaps')
 depends=('db>=4.5' 'libpng' 'libtiff' 'gpm' 'bash' 'xaw3d')
 source=(http://ftp.xemacs.org/pub/xemacs/beta/$pkgname-$pkgver.tar.gz)
-md5sums=('c415348d58eb18a9f4ed57d97e2acc62')
+md5sums=('12e35715c5239c63651a8189973527ab')
 url="http://www.xemacs.org/"
         
 build() {
   cd $startdir/src/${pkgname}-${pkgver}
+  infodir=/usr/lib/xemacs-21.5-b28/info
+  mandir=/usr/man/man1
   ./configure --build=$CHOST --prefix=/usr --with-dynamic \
       --with-x11 --without-postgresql --with-athena=3d \
       --enable-database=berkdb --without-ldap \
@@ -21,12 +23,14 @@
       --enable-widgets=athena --enable-dialogs=athena \
       --enable-external-widget \
       --with-jpeg --with-png --with-tiff \
-      --with-ncurses --with-pop --with-xfs --disable-sound || return 1
+      --with-ncurses --with-pop --with-xfs --disable-sound \
+      --infodir=$infodir \
+      --mandir=$mandir || return 1
 
   make || return 1
   make autoloads
   
-  make prefix="$startdir/pkg/usr" install gzip-el
+  make prefix="$startdir/pkg/usr" mandir="$startdir/pkg$mandir" infodir="$startdir/pkg$infodir" install gzip-el
 
   rm $startdir/pkg/usr/bin/{b2m,ctags,etags,rcs-checkin}
   rm $startdir/pkg/usr/man/man1/{ctags.1,etags.1}




More information about the arch-commits mailing list